org.wildfly.swarm.config.elytron

## Class AggregateSecurityEventListener<T extends AggregateSecurityEventListener<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.AggregateSecurityEventListener<T>

-     public class AggregateSecurityEventListener<T extends AggregateSecurityEventListener<T>>
      extends Object

  An aggregation of two or more security event listener resources.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateSecurityEventListener(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `securityEventListener(String value)` The referenced security event listener resources to aggregate.
    `List<String>` | `securityEventListeners()` The referenced security event listener resources to aggregate.
    `T` | `securityEventListeners(List<String> value)` The referenced security event listener resources to aggregate.
    `T` | `securityEventListeners(String... args)` The referenced security event listener resources to aggregate.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateSecurityEventListener

          public AggregateSecurityEventListener(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### securityEventListeners

          public List<String> securityEventListeners()

      The referenced security event listener resources to aggregate.

    - #### securityEventListeners

          public T securityEventListeners(List<String> value)

      The referenced security event listener resources to aggregate.

    - #### securityEventListener

          public T securityEventListener(String value)

      The referenced security event listener resources to aggregate.

    - #### securityEventListeners

          public T securityEventListeners(String... args)

      The referenced security event listener resources to aggregate.

Copyright © 2018 JBoss by Red Hat. All rights reserved.